Bug 1297122 - [abrt] shotwell: find_class(): shotwell killed by SIGSEGV
[abrt] shotwell: find_class(): shotwell killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: shotwell (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:15f3dc23be9f9262e3a91e9fe63...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-09 08:48 EST by Gergely Polonkai
Modified: 2016-12-20 12:43 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 12:43:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (51.59 KB, text/plain)
2016-01-09 08:48 EST, Gergely Polonkai
no flags Details
File: cgroup (190 bytes, text/plain)
2016-01-09 08:49 EST, Gergely Polonkai
no flags Details
File: core_backtrace (17.24 KB, text/plain)
2016-01-09 08:49 EST, Gergely Polonkai
no flags Details
File: dso_list (15.25 KB, text/plain)
2016-01-09 08:49 EST, Gergely Polonkai
no flags Details
File: environ (1.53 KB, text/plain)
2016-01-09 08:49 EST, Gergely Polonkai
no flags Details
File: exploitable (97 bytes, text/plain)
2016-01-09 08:49 EST, Gergely Polonkai
no flags Details
File: limits (1.29 KB, text/plain)
2016-01-09 08:49 EST, Gergely Polonkai
no flags Details
File: maps (76.65 KB, text/plain)
2016-01-09 08:49 EST, Gergely Polonkai
no flags Details
File: mountinfo (3.63 KB, text/plain)
2016-01-09 08:49 EST, Gergely Polonkai
no flags Details
File: namespaces (85 bytes, text/plain)
2016-01-09 08:49 EST, Gergely Polonkai
no flags Details
File: open_fds (47.06 KB, text/plain)
2016-01-09 08:49 EST, Gergely Polonkai
no flags Details
File: proc_pid_status (1022 bytes, text/plain)
2016-01-09 08:49 EST, Gergely Polonkai
no flags Details
File: var_log_messages (297 bytes, text/plain)
2016-01-09 08:49 EST, Gergely Polonkai
no flags Details

  None (edit)
Description Gergely Polonkai 2016-01-09 08:48:49 EST
Version-Release number of selected component:
shotwell-0.22.0-5.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        shotwell
crash_function: find_class
executable:     /usr/bin/shotwell
global_pid:     7410
kernel:         4.2.8-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 find_class at gtkcssnodedeclaration.c:250
 #1 gtk_css_node_declaration_has_class at gtkcssnodedeclaration.c:348
 #2 gtk_css_selector_match at gtkcssselector.c:187
 #3 gtk_css_selector_tree_match_foreach at gtkcssselector.c:1767
 #4 gtk_css_selector_foreach at gtkcssselector.c:196
 #5 gtk_css_selector_tree_match_foreach at gtkcssselector.c:1775
 #6 gtk_css_selector_descendant_for_region_foreach_matcher at gtkcssselector.c:362
 #7 gtk_css_selector_foreach at gtkcssselector.c:196
 #8 gtk_css_selector_tree_match_foreach at gtkcssselector.c:1775
 #9 gtk_css_selector_foreach at gtkcssselector.c:196
Comment 1 Gergely Polonkai 2016-01-09 08:48:59 EST
Created attachment 1113139 [details]
File: backtrace
Comment 2 Gergely Polonkai 2016-01-09 08:49:01 EST
Created attachment 1113140 [details]
File: cgroup
Comment 3 Gergely Polonkai 2016-01-09 08:49:04 EST
Created attachment 1113141 [details]
File: core_backtrace
Comment 4 Gergely Polonkai 2016-01-09 08:49:07 EST
Created attachment 1113142 [details]
File: dso_list
Comment 5 Gergely Polonkai 2016-01-09 08:49:09 EST
Created attachment 1113143 [details]
File: environ
Comment 6 Gergely Polonkai 2016-01-09 08:49:11 EST
Created attachment 1113144 [details]
File: exploitable
Comment 7 Gergely Polonkai 2016-01-09 08:49:14 EST
Created attachment 1113145 [details]
File: limits
Comment 8 Gergely Polonkai 2016-01-09 08:49:22 EST
Created attachment 1113146 [details]
File: maps
Comment 9 Gergely Polonkai 2016-01-09 08:49:24 EST
Created attachment 1113147 [details]
File: mountinfo
Comment 10 Gergely Polonkai 2016-01-09 08:49:27 EST
Created attachment 1113148 [details]
File: namespaces
Comment 11 Gergely Polonkai 2016-01-09 08:49:31 EST
Created attachment 1113149 [details]
File: open_fds
Comment 12 Gergely Polonkai 2016-01-09 08:49:33 EST
Created attachment 1113150 [details]
File: proc_pid_status
Comment 13 Gergely Polonkai 2016-01-09 08:49:35 EST
Created attachment 1113151 [details]
File: var_log_messages
Comment 14 Fedora End Of Life 2016-11-24 09:48:20 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 15 Fedora End Of Life 2016-12-20 12:43:45 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.